as.kernelMatrix {kernlab} | R Documentation

## Assing kernelMatrix class to matrix objects

### Description

`as.kernelMatrix` in package kernlab can be used to coerce the kernelMatrix class to matrix objects representing a kernel matrix. These matrices can then be used with the kernelMatrix interfaces which most of the functions in kernlab support.

### Usage

    ## S4 method for signature 'matrix'
    as.kernelMatrix(x, center = FALSE)

### Arguments

`x` | matrix to be assigned the `kernelMatrix` class
`center` | center the kernel matrix in feature space (default: FALSE)

### Author(s)

Alexandros Karatzoglou
alexandros.karatzoglou@ci.tuwien.ac.at

### See Also

`kernelMatrix`, `dots`

### Examples

    ## Create toy data
    x <- rbind(matrix(rnorm(10),,2),matrix(rnorm(10,mean=3),,2))
    y <- matrix(c(rep(1,5),rep(-1,5)))

    ### Use as.kernelMatrix to label the cov. matrix as a kernel matrix
    ### which is eq. to using a linear kernel

    K <- as.kernelMatrix(crossprod(t(x)))

    K

    svp2 <- ksvm(K, y, type="C-svc")

    svp2

[Package kernlab version 0.9-27 Index]